var targetAngle = 15.0;
var angleTolerance = 5.0;

(function() {
      var status = $('.status'),
        poll = function() {
          $.ajax({
            url: 'get-pos-json',
            dataType: 'json',
            type: 'get',
            success: function(data) { // check if available
                $("#pos-x").text(data.x);
                $("#pos-y").text(data.y);
                $("#pos-z").text(data.z);
                
                var tiltAngle = parseFloat($("#pos-x").text());
                // maintain angle of 15 degrees
                if (tiltAngle >targetAngle-angleTolerance && tiltAngle <targetAngle+angleTolerance){
                  $("body").css("background-color","#00FF00");
                  $("#instructional-text").text("OK");
                  $("#instructional-text").css("color","#000000");
                } else {
                  $("body").css("background-color","#FF0000");
                  if (tiltAngle >targetAngle-angleTolerance){
                    $("#instructional-text").text("TOO STEEP; REDUCE ANGLE");
                  }
                  if (tiltAngle <targetAngle+angleTolerance){
                    $("#instructional-text").text("TOO SHALLOW; INCREASE ANGLE");
                  }
                  $("#instructional-text").css("color","#efff00");
                }
                
            },
            error: function() { // error logging
              console.log('Error!');
            }
          });
        },
        pollInterval = setInterval(function() { // run function every 2000 ms
          poll();
          }, 110);
        poll(); // also run function on init
    })();
